All Data Structures Functions Variables Enumerations Enumerator Groups Pages
sa_memory Struct Reference
Memory interface

## Data Fields

uint64_t | total
| Total amount of RAM available in the system.
uint64_t | free
| Unused amount of memory.
uint64_t | active
| Amount of memory in use or recently used.
uint64_t | inactive
| Amount of memory that has not been recently used.
uint64_t | buffers
| Memory used for cached files. Useless for metrics nowadays.
uint64_t | swap_total
| Total amount of swap present in the system.
uint64_t | swap_free
| Free amount of swap available.
uint64_t | swap_cached
| Amount of swap that is cached.
uint64_t | wired
| Memory not placed on any queue.
uint64_t | cached
| Amount of cached memory.
uint64_t | dirty
| Amount of memory waiting for been written to the disk.
uint64_t | executable
| Memory used to hold executable data.
uint64_t | files
| Memory used by cached file data.
uint64_t | locked
| Memory that can not be moved to swap.

## Detailed Description

This structure gathers the details about the memory usage. Each value is measured in bytes.

The documentation for this struct was generated from the following file:

- src/common/memory.h